Subject: Re: pkgsrc bmake
To: None <>
From: Jan Schaumann <>
List: tech-pkg
Date: 12/08/2003 16:41:30
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Eric Haszlakiewicz <> wrote:

> 	The bmake package is marked as only for NetBSD.
> 	How does one go about upgrading bmake when using pkgsrc on non-NetBSD?

I believe that this gets asked here every now and then.  I think the
answer is:  At the moment, you're somewhat screwed.  You'd have to
re-bootstrap, which obviously is, uhm, suboptimal.

At some point soon we'll probably finally create a bootstrap package,
which reaches over into the various required packages.  At that point,
bmake would be in synch with what we currently have in bootstrap, and
one could conceivably update the individual packages of the


I seem to be having this tremendous difficulty with my lifestyle.

Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.1 (NetBSD)